# Pharmacy Server
A simple server for dealing with products & orders for the Catgirl Pharmacy.

## ToDo:
- [x] Client verification for admin actions
- [x] Webpage for admin actions
- [x] Fetch info with JS
- [x] Fix DB lock error
- [x] Keep track of orders
- [x] Add page for managing orders
- [x] Return Json data
- [x] Use one API endpoint for fetching product data
- [x] Add API endpoints for modifying orders
	- [x] Add frontend to update orders
- [x] Store admin login in localStorage
- [x] Finalize CAPTCHA functionality w/ cookies [https://rocket.rs/v0.5-rc/guide/requests/#private-cookies]
- [x] Add proper error handling
- [x] Store admin password more securely
- [x] Cleanup code
	- [x] Add comments
	- [x] Add logging
	- [x] Format properly
- [/] Generate static web assets via code
